Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 196282 - Rekeyword sci-physics/root 5.20.00-r1
Summary: Rekeyword sci-physics/root 5.20.00-r1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Science Physics related packages
URL:
Whiteboard:
Keywords: KEYWORDREQ
: 211798 (view as bug list)
Depends on: 196304
Blocks: 2458 gcc-4.3-stable
  Show dependency tree
 
Reported: 2007-10-18 13:44 UTC by Sébastien Fabbro (RETIRED)
Modified: 2009-02-06 21:42 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
failing install (build-root.log.bz2,73.10 KB, text/plain)
2007-10-22 11:16 UTC, Christian Faulhammer (RETIRED)
Details
patch the root-5.16.00.ebuild to use the gcc-4.2.patch (root-gcc-4.2.patch,1.98 KB, text/plain)
2007-11-28 20:19 UTC, Juergen Rose
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sébastien Fabbro (RETIRED) gentoo-dev 2007-10-18 13:44:14 UTC
Hi,

Sorry folks, it's time to stabilize root. The current stable version in the tree is very old, and this one has been very usable and bug free for more than a month.
ppc: need to keyword it first unless you want to drop the package.

You can test root by following the recipe in http://overlays.gentoo.org/proj/science/wiki/testing.


Sébastien
Comment 1 Dawid Węgliński (RETIRED) gentoo-dev 2007-10-18 17:25:14 UTC
Can we add epause 10 at the end of pkg_setup() please? Would be really great if anyone has any opportunity to read this ;-)
Comment 2 Ferris McCormick (RETIRED) gentoo-dev 2007-10-18 18:39:20 UTC
Sparc stable.  Finally, now we can party!
Comment 3 Angelo Arrifano (RETIRED) gentoo-dev 2007-10-21 14:51:28 UTC
sci-physics/root-5.16.00  USE="fftw mysql opengl python ssl truetype -afs -cern -debug -doc -kerberos -ldap -odbc -postgres -qt3 -ruby -xml"

* USE="mysql" will fail to emerge:

(...)
g++ -march=k8 -Os -msse3 -pipe -pipe -Wall -m64 -fPIC -Iinclude -DR__HAVE_CONFIG -pthread -I/usr/include/mysql  -o mysql/src/TMySQLRow.o -c mysql/src/TMySQLRow.cxx
bin/rmkdepend -R -fmysql/src/TMySQLServer.d -Y -w 1000 -- -pipe -Wall -m64 -fPIC -Iinclude -DR__HAVE_CONFIG -pthread -I/usr/include/mysql -D__cplusplus -- mysql/src/TMySQLServer.cxx
g++ -march=k8 -Os -msse3 -pipe -pipe -Wall -m64 -fPIC -Iinclude -DR__HAVE_CONFIG -pthread -I/usr/include/mysql  -o mysql/src/TMySQLServer.o -c mysql/src/TMySQLServer.cxx
In file included from mysql/src/TMySQLServer.cxx:55:
/usr/include/mysql/my_global.h:361:24: error: asm/atomic.h: No such file or directory
make: *** [mysql/src/TMySQLServer.o] Error 1
rm utils/src/rootcint_tmp.cxx utils/src/RStl_tmp.cxx
 * 
 * ERROR: sci-physics/root-5.16.00 failed.
 * Call stack:
 *   ebuild.sh, line 1654:   Called dyn_compile
 *   ebuild.sh, line 990:   Called qa_call 'src_compile'
 *   ebuild.sh, line 44:   Called src_compile
 *   root-5.16.00.ebuild, line 158:   Called die

More info about this on mysql bugzie: http://bugs.mysql.com/bug.php?id=28456
Comment 4 Sébastien Fabbro (RETIRED) gentoo-dev 2007-10-22 10:31:35 UTC
(In reply to comment #3)

> In file included from mysql/src/TMySQLServer.cxx:55:
> /usr/include/mysql/my_global.h:361:24: error: asm/atomic.h: No such file or
> directory
> make: *** [mysql/src/TMySQLServer.o] Error 1

This was reported before as a mysql bug and I thought fixed in versions later than 5.0.40. See bug #168931. Which mysql are you using?

Comment 5 Christian Faulhammer (RETIRED) gentoo-dev 2007-10-22 11:16:07 UTC
Created attachment 134112 [details]
failing install

Also fails when installing HTML handbook...compressed log file
Comment 6 Angelo Arrifano (RETIRED) gentoo-dev 2007-10-22 11:24:51 UTC
(In reply to comment #4)
> (In reply to comment #3)
> 
> > In file included from mysql/src/TMySQLServer.cxx:55:
> > /usr/include/mysql/my_global.h:361:24: error: asm/atomic.h: No such file or
> > directory
> > make: *** [mysql/src/TMySQLServer.o] Error 1
> 
> This was reported before as a mysql bug and I thought fixed in versions later
> than 5.0.40. See bug #168931. Which mysql are you using?
> 

=dev-db/mysql-5.0.44-r1
Comment 7 Christian Faulhammer (RETIRED) gentoo-dev 2007-10-22 12:36:44 UTC
(In reply to comment #5)
> Created an attachment (id=134112) [edit]
> failing install
> 
> Also fails when installing HTML handbook...compressed log file

 USE=-doc succeeds...oh and no problem with MySQL here on x86.

Comment 8 Sébastien Fabbro (RETIRED) gentoo-dev 2007-10-23 22:38:41 UTC
I fixed the doc problem. 

amd64, could you see which linux headers, and if removing mysql, then re-emerging it helps?
Comment 9 Christian Faulhammer (RETIRED) gentoo-dev 2007-10-24 13:10:51 UTC
x86 stable
Comment 10 nixnut (RETIRED) gentoo-dev 2007-10-27 17:15:02 UTC
fails on ppc:

g++ -O2 -mcpu=G4 -mtune=G4 -maltivec -mabi=altivec -fno-strict-aliasing -pipe -pipe -Wall -fsigned-char -fPIC -I/usr/X11/include -Iinclude -DR__HAVE_CONFIG -pthread   -o auth/src/TAFS.o -c auth/src/TAFS.cxx
auth/src/AFSAuth.cxx: In function 'char* GetAFSErrorString(afs_int32)':
auth/src/AFSAuth.cxx:68: error: 'error_message' was not declared in this scope
make: *** [auth/src/AFSAuth.o] Error 1
make: *** Waiting for unfinished jobs....
rm utils/src/rootcint_tmp.cxx utils/src/RStl_tmp.cxx
 *
 * ERROR: sci-physics/root-5.16.00 failed.
 * Call stack:
 *             ebuild.sh, line 1695:  Called dyn_compile
 *             ebuild.sh, line 1033:  Called qa_call 'src_compile'
 *             ebuild.sh, line   44:  Called src_compile
 *   root-5.16.00.ebuild, line  158:  Called die
 * The specific snippet of code:
 *      emake \
 *              OPTFLAGS="${CXXFLAGS}" \
 *              ${myfortran} \
 *              || die "emake failed"
 *  The die message:
 *   emake failed

emerge --info:
Portage 2.1.3.16 (default-linux/ppc/ppc32/2006.1/G4, gcc-4.1.2, glibc-2.6.1-r0, 
2.6.21-gentoo-r4 ppc)
=================================================================
System uname: 2.6.21-gentoo-r4 ppc 7447A, altivec supported
Timestamp of tree: Sat, 27 Oct 2007 11:30:09 +0000
distcc 2.18.3 powerpc-unknown-linux-gnu (protocols 1 and 2) (default port 3632) 
[disabled]      
ccache version 2.3 [disabled]
app-shells/bash:     3.2_p17
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r5
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.3
sys-apps/baselayout: 1.12.9-r2
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.21
ACCEPT_KEYWORDS="ppc"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=G4 -mtune=G4 -maltivec -mabi=altivec -fno-strict-aliasing -pip
e"              
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/NX/etc /usr/NX/home /usr/kde/3.5/env /usr/kde/3.5/shar
e/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gcon
f /etc/php/apache2-php4/ext-active/ /etc/php/apache2-php5/ext-active/ /etc/php/c
gi-php4/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php4/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -mcpu=G4 -mtune=G4 -maltivec -mabi=altivec -fno-strict-aliasing -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect cvs distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://ftp.snt.utwente.nl/pub/os/linux/gentoo                  http://pandemonium.tiscali.de/pub/gentoo/                  http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/"
LINGUAS="en_GB nl zh ru he"
MAKEOPTS="-j2"
PKGDIR="/var/binpkg"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://192.168.1.33/gentoo-portage"
USE="X aac alsa altivec apache2 arts avahi berkdb bitmap-fonts bonobo bzip2 cairo cdr cli cracklib crypt cups divx4linux dlloader dri dvd dvdread eds emboss encode esd firefox flac fortran gdbm gif glitz gnome gpm gstreamer gtk gtkhtml hal iconv imlib ipv6 isdnlog jpeg jpeg2k kde ldap libwww mad midi mikmod mozilla mp3 mpeg mudflap ncurses network nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png ppc pppd python qt3 quicktime readline reflection ruby sdl session spell spl ssl svg tcpd theora tiff truetype truetype-fonts type1-fonts unicode userlocales vorbis xine xml xorg xv xvid zlib" ALSA_CARDS="aoa aoa-fabric-layout aoa-onyx aoa-soundbus aoa-soundbus-i2s aoa-tas aoa-toonie powermac usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_GB nl zh ru he" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 11 Antonio Magrì 2007-10-30 11:08:12 UTC
Compiles fine here in amd64 with these flags (yes I removed mysql to make it work):

[ebuild   R   ] sci-physics/root-5.16.00  USE="doc fftw odbc opengl python qt3 ssl truetype xml -afs -cern -debug -kerberos -ldap -mysql -postgres -ruby" 0 kB

emerge --info output
Portage 2.1.3.16 (default-linux/amd64/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.22-suspend2-r2-Mottmar x86_64)
=================================================================
System uname: 2.6.22-suspend2-r2-Mottmar x86_64 AMD Athlon(tm) 64 Processor 3200+
Timestamp of tree: Mon, 29 Oct 2007 23:00:03 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p17
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0_rc5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.22-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=k8 -pipe -msse3 -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=k8 -pipe -msse3 -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LINGUAS="it"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/opt/portage_tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sabayon /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X Xaw3d a52 aac aalib acl acpi aiglx alsa amd64 amr apache2 apm audiofile bash-completion bcmath bitmap-fonts bluetooth bonobo boundschecking bzip2 cairo calendar caps cdinstall cdparanoia cdr cli cracklib crypt cscope ctype cups curl curlwrappers dbm dbus dbx dedicated dga dio directfb dri dts dv dvd dvdr dvdread eds emacs emboss emul-linux-x86 encode esd evo evolution examples exif fam fastcgi fbcon ffmpeg fftw firefox flac flash foomaticdb fortran freetds ftp galago gb gcj gd gdbm geoip gif ginac gmp gnome gnustep gnutls gphoto2 gpm gstreamer gtk gtk2 gtkhtml guile hal hardenedphp hyperwave-api iconv icq idn ieee1394 imagemagick imap imlib irmc isdnlog jack java javascript jikes joystick jpeg jpeg2k junit ladcca lcms libcaca libg++ libwww lm_sensors lua mad matroska mbox mcal mcve memlimit mhash midi mikmod milter mime ming mmap mmx mng mnogosearch motif mp3 mpeg msn msql mssql mudflap mule mysql mysqli nas ncurses neXt nls nocd nptl nptlonly nsplugin nvidia odbc offensive ogg openal opengl openmp osc oscar oss pam pcntl pcre pdf perl php pidgin plotutils png pop portaudio posix ppds pppd profile python qt3 qt3support quicktime readline recode reflection samba sasl scanner sdl session sharedext sharedmem shorten simplexml skey slp sndfile snmp sockets source sox speex spell spl sqlite sqlite3 sse sse2 ssl svg symlink sysvipc szip tcltk tcpd test tetex theora threads tidy tiff tokenizer truetype truetype-fonts type1-fonts unicode usb v4l vcd verbose videos vorbis wma wmf wxwindows xface xine xinetd xml xml2 xorg xosd xpm xprint xv xvid yahoo zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 12 Sébastien Fabbro (RETIRED) gentoo-dev 2007-11-03 16:44:27 UTC
(In reply to comment #10)
> fails on ppc:
> 
> g++ -O2 -mcpu=G4 -mtune=G4 -maltivec -mabi=altivec -fno-strict-aliasing -pipe
> -pipe -Wall -fsigned-char -fPIC -I/usr/X11/include -Iinclude -DR__HAVE_CONFIG
> -pthread   -o auth/src/TAFS.o -c auth/src/TAFS.cxx
> auth/src/AFSAuth.cxx: In function 'char* GetAFSErrorString(afs_int32)':
> auth/src/AFSAuth.cxx:68: error: 'error_message' was not declared in this scope
> make: *** [auth/src/AFSAuth.o] Error 1
> make: *** Waiting for unfinished jobs....


ppc, what are the use flags? Could you try without afs?
Comment 13 nixnut (RETIRED) gentoo-dev 2007-11-10 20:13:51 UTC
(In reply to comment #12)
> 
> ppc, what are the use flags? Could you try without afs?

All available of course. root compiles if I disable afs.
Comment 14 Juergen Rose 2007-11-17 09:21:32 UTC
root-5.16.00 does no more compile:
g++ -O2 -march=pentium4 -fomit-frame-pointer -pipe -m32 -Wall -W -Woverloaded-virtual -fPIC -Iinclude -DR__HAVE_CONFIG -DG__REGEXP -DG__UNIX -DG__SHAREDLIB -DG__OSFDLL -DG__ROOT -DG__REDIRECTIO -DG__STD_EXCEPTION -DG__HAVE_CONFIG -DG__NOMAKEINFO -DG__CINTBODY -Icint/src -pthread -Icint/lib/gcc3strm -o cint/src/gcc3strm.o -c cint/src/gcc3strm.cxx
cint/src/gcc3strm.cxx: In function 'int G__G__stream_7_7_0(G__value*, const char*, G__param*, int)':
cint/src/gcc3strm.cxx:311: error: 'class std::fpos<__mbstate_t>' has no member named 'operator=='
cint/src/gcc3strm.cxx: In function 'int G__G__stream_7_8_0(G__value*, const char*, G__param*, int)':
cint/src/gcc3strm.cxx:317: error: 'class std::fpos<__mbstate_t>' has no member named 'operator!='
cint/src/gcc3strm.cxx: In function 'int G__G__stream__3_17(G__value*, const char*, G__param*, int)':
cint/src/gcc3strm.cxx:3030: warning: dereferencing type-punned pointer will break strict-aliasing rules
make: *** [cint/src/gcc3strm.o] Error 1
 * 
 * ERROR: sci-physics/root-5.16.00 failed.


And on x86_64:

g++ -march=nocona -O2 -pipe -pipe -Wall -m64 -fPIC -Iinclude -DR__HAVE_CONFIG -DG__REGEXP -DG__UNIX -DG__SHAREDLIB -DG__OSFDLL -DG__ROOT -DG__REDIRECTIO -DG__64BIT -DG__HAVE_CONFIG -DG__NOMAKEINFO -DG__CINTBODY -Icint/src -pthread -Icint/lib/gcc3strm -o cint/src/gcc3strm.o -c cint/src/gcc3strm.cxx
cint/src/gcc3strm.cxx: In function 'int G__G__stream_7_7_0(G__value*, const char*, G__param*, int)':
cint/src/gcc3strm.cxx:311: error: 'class std::fpos<__mbstate_t>' has no member named 'operator=='
cint/src/gcc3strm.cxx: In function 'int G__G__stream_7_8_0(G__value*, const char*, G__param*, int)':
cint/src/gcc3strm.cxx:317: error: 'class std::fpos<__mbstate_t>' has no member named 'operator!='
cint/src/gcc3strm.cxx: In function 'int G__G__stream__3_17(G__value*, const char*, G__param*, int)':
cint/src/gcc3strm.cxx:3030: warning: dereferencing type-punned pointer will break strict-aliasing rules
make: *** [cint/src/gcc3strm.o] Error 1
Comment 15 Samuli Suominen gentoo-dev 2007-11-23 16:01:31 UTC
stable amd64,

[ebuild   R   ] sci-physics/root-5.16.00  USE="kerberos ldap mysql opengl python ssl truetype xml -afs -cern -debug -doc -fftw -odbc -postgres -qt3 -ruby" 0 kB
[ebuild   R   ] sci-physics/root-5.16.00  USE="kerberos ldap opengl python ssl truetype xml -afs -cern -debug -doc -fftw -mysql* -odbc -postgres -qt3 -ruby" 0 kB

is working with and without USE mysql, using stable version, dev-db/mysql-5.0.44-r2

amd64 stable

Comment 16 Juergen Rose 2007-11-24 14:33:53 UTC
(In reply to comment #15) I have the same USE flag, but it fails for 32 and 64 bit systems:

root@condor:/root(9)# emerge -pvD root

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] sci-physics/root-5.16.00  USE="kerberos* ldap opengl python ssl truetype xml -afs -cern -debug -doc -fftw* -mysql -odbc* -postgres -qt3 -ruby" 0 kB [1=>0]
root@condor:/root(10)# emerge -vD root 
...
g++ -march=nocona -O2 -pipe -pipe -Wall -m64 -fPIC -Iinclude -DR__HAVE_CONFIG -DG__REGEXP -DG__UNIX -DG__SHAREDLIB -DG__OSFDLL -DG__ROOT -DG__REDIRECTIO -DG__64BIT -DG__HAVE_CONFIG -DG__NOMAKEINFO -DG__CINTBODY -Icint/src -pthread -Icint/lib/gcc3strm -o cint/src/gcc3strm.o -c cint/src/gcc3strm.cxx
cint/src/gcc3strm.cxx: In function 'int G__G__stream_7_7_0(G__value*, const char*, G__param*, int)':
cint/src/gcc3strm.cxx:311: error: 'class std::fpos<__mbstate_t>' has no member named 'operator=='



root@condor:/root(11)# emerge --info
Portage 2.1.4_rc3 (default-linux/amd64/2007.0, gcc-4.2.2, glibc-2.7-r0, 2.6.23.8 x86_64)
=================================================================
System uname: 2.6.23.8 x86_64 Intel(R) Core(TM)2 CPU 6600 @ 2.40GHz
Timestamp of tree: Sat, 24 Nov 2007 13:30:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.1.2-r1
dev-lang/python:     2.4.4-r7, 2.5.1-r4
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r2
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active
/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LC_ALL="C"
LINGUAS="de fr"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages/All"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --excl
ude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/science /usr/local/portage /usr/local/portage/xeffects /usr/local/sci"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X Xaw3d a52 aac acl acpi aiglx alsa amd64 amrr ao aotuv apache2 asf atlas auctex audacious audiofile automount bash-completion beagle berkdb bitmap-fonts blas bluetooth 
bonobo boo bzip2 cairo cdda cddb cdio cdparanoia cdr cgi chm cli corba cracklib crypt cups curl daap dbus device-mapper dga divx dlloader dmi dri dv dvb dvd dvdr dvi dxr3 dyn
agraph effects elf emacs emboss encode epiphany esd evo evolution examples exif expat extra fam fame ffmpeg fftw firefox fits flac fltk foomaticdb fortran fpx galago gdal gdb
m geos gif gimp gimpprint ginac glade glitz gml gmp gnokii gnome gnuplot gnutls gphoto2 gpm graphics graphviz grass gs gsl gsm gstreamer gtk guile hal hardened hddtemp hdf hd
f5 hlapi http iconv icq id3 imagemagick innodb ipv6 irda irmc isdnlog ithreads jabber java jbig john jp2 jpeg jpeg2k kexi ladspa lame lapack latex lcms ldap libgda libsampler
ate lirc lm_sensors lua lzo lzw mad math matroska midi mmx mmxext mng mod mono motif mozdevelop mozilla mozsvg mozxmlterm mp3 mp4live mpeg mpeg2 mplayer mudflap musicbrainz m
ysql mysqli nautilus ncurses neXt netcdf network nfs nls nntp nptl nptlonly ntfs numarray numeric nvidia obex ocaml octave odbc ogdi ogg ole opengl openmp pae pam pcre pda pd
f perl plotutils plugins png posix postgres pppd preview-latex proj projectx pstricks python qhull quicktime readline reflection reiserfs rhythmbox rle rrdcgi rrdtool samba s
cience sdl session slang slp smp sndfile snmp sox speex spell spl sqlite sse sse2 ssl subtitles svg t1lib tcltk tcpd tex theora threads thunderbird tidy tiff tk truetype true
type-fonts type1-fonts unicode userlocales utempter v4l2 vorbis wmf xattr xemacs xext xine xml xmlreader xmlrpc xorg xpm xv xvid xvmc zlib zvbi" ALSA_CARDS="ali5451 als4000 a
tiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA
_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" EL
IBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de fr" USERLAND="GNU" V
IDEO_CARDS="nv nvidia vesa fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Any hint?
    Juergen

Comment 17 Markus Dittrich (RETIRED) gentoo-dev 2007-11-25 14:14:48 UTC
(In reply to comment #16)
> cint/src/gcc3strm.cxx: In function 'int G__G__stream_7_7_0(G__value*, const
> char*, G__param*, int)':
> cint/src/gcc3strm.cxx:311: error: 'class std::fpos<__mbstate_t>' has no member
> named 'operator=='

"operator==" should be in std::fpos, hence your error suggests that you may have issues
with your toolchain. Could you please grep through postypes.h (probably in
/usr/lib64/gcc/x86_64-pc-linux-gnu/4.2.2/include/g++-v4/bits/ ) and check for
operator==? Maybe re-emerging your toolchain may help.

Markus 

Comment 18 Juergen Rose 2007-11-25 19:18:31 UTC
Hallo Markus,

in /usr/lib64/gcc/x86_64-pc-linux-gnu/4.2.2/include/g++-v4/bits/postypes.h
I find only three lines containing "==", which are in the following block
 
  // The standard only requires that operator== must be an
  // equivalence relation. In this implementation two fpos<StateT>
  // objects belong to the same equivalence class if the contained
  // offsets compare equal.
  /// Test if equivalent to another position.
  template<typename _StateT>
    inline bool
    operator==(const fpos<_StateT>& __lhs, const fpos<_StateT>& __rhs)
    { return streamoff(__lhs) == streamoff(__rhs); }

To rebuild the toolchain I am just performing 'emerge  -uvDe system', but this needs some hours (414 packages). After finishing I will try to emerge root once more.
   Regards Juergen

Comment 19 Juergen Rose 2007-11-26 02:02:15 UTC
Some hours later:

g++ -march=nocona -O2 -pipe -pipe -Wall -m64 -fPIC -Iinclude -DR__HAVE_CONFIG -DG__REGEXP -DG__UNIX -DG__SHAREDLIB -DG__
OSFDLL -DG__ROOT -DG__REDIRECTIO -DG__64BIT -DG__HAVE_CONFIG -DG__NOMAKEINFO -DG__CINTBODY -Icint/src -pthread -Icint/li
b/gcc3strm -o cint/src/gcc3strm.o -c cint/src/gcc3strm.cxx
cint/src/gcc3strm.cxx: In function 'int G__G__stream_7_7_0(G__value*, const char*, G__param*, int)':
cint/src/gcc3strm.cxx:311: error: 'class std::fpos<__mbstate_t>' has no member named 'operator=='

The same error emerging root.
Comment 20 Markus Dittrich (RETIRED) gentoo-dev 2007-11-26 04:00:35 UTC
Hi Juergen,

Thanks for giving it a shot and I am not quite sure why your
compiler doesn't seem to be able to instantiate the proper
template functions. I'll have to look at the source some more.

Best,
Markus
Comment 21 Markus Dittrich (RETIRED) gentoo-dev 2007-11-26 18:34:04 UTC
The issue reported by Juergen is caused by >=gcc-4.2 and 
hence shouldn't affect the stabilization process.

@Juergen: I've posted a patch to (hopefully) fix the problem
at bug #199591, which deals with this issue. Let's please continue
dealing with it over there.

Thanks,
Markus


Comment 22 Juergen Rose 2007-11-28 20:19:20 UTC
Created attachment 137272 [details]
patch the root-5.16.00.ebuild to use the gcc-4.2.patch

The root-5.16.00.ebuild is patched to use the gcc-4.2.patch of Markus Dittrich.
Comment 23 Juergen Rose 2007-11-28 20:20:23 UTC
Hi Markus,

I tried the patch, it worked for me at i386 and x86_64 systems. I used the following USE flags  USE="fftw kerberos ldap mysql odbc opengl python ssl truetype xml -postgres".
A additional patch to modify the root-5.16.00.ebuild is attached.
     Juergen
Comment 24 Sébastien Fabbro (RETIRED) gentoo-dev 2007-12-09 17:42:14 UTC
ppc, I added a few fix for the root-5.16.00 ebuild. Please test it since it includes also a AFS fix that did work.

Concerning root and gcc-4.2, I have added a die function for whoever wants to build root with it. Markus patch did not work for me on amd64 (pic issues) and root-5.18.00 is just around the corner with all the fixes anyway.
Markus, if you want to update the ebuild with an updated patch, feel free.

Comment 25 Markus Dittrich (RETIRED) gentoo-dev 2007-12-10 10:57:29 UTC
(In reply to comment #24)
> Markus patch did not work for me on amd64 (pic issues) and
> root-5.18.00 is just around the corner with all the fixes anyway.
> Markus, if you want to update the ebuild with an updated patch, feel free.
> 

Thanks for the note! I'll try it later on my opteron and see whats up with
that patch. I'll post back at bug #199591.

Markus

Comment 26 Joe Jezak (RETIRED) gentoo-dev 2007-12-31 21:19:57 UTC
root-5.16.00-r1 still doesn't want to build with AFS on ppc:

Creating executable ../../bin/xrdpwdadmin
g++ -D_ALL_SOURCE -D_REENTRANT -D_GNU_SOURCE -fPIC -rdynamic -Wall -Wno-deprecated -D__linux__  -O2 ../../obj/XrdSecpwdSrvAdmin.o -lcrypt -lafsauthent -lafsrpc -L../../lib -lXrdCrypto -lXrdSut -lXrdOuc -lXrdSys -lresolv -lnsl -lpthread -lrt -ldl -lc -o ../../bin/xrdpwdadmin
/usr/lib/gcc/powerpc-unknown-linux-gnu/4.1.2/../../../libafsauthent.so: undefined reference to `strcompose'
/usr/lib/gcc/powerpc-unknown-linux-gnu/4.1.2/../../../libafsauthent.so: undefined reference to `ucstring'
/usr/lib/gcc/powerpc-unknown-linux-gnu/4.1.2/../../../libafsauthent.so: undefined reference to `afs_add_to_error_table'
/usr/lib/gcc/powerpc-unknown-linux-gnu/4.1.2/../../../libafsauthent.so: undefined reference to `AssertionFailed'
/usr/lib/gcc/powerpc-unknown-linux-gnu/4.1.2/../../../libafsauthent.so: undefined reference to `stolower'
/usr/lib/gcc/powerpc-unknown-linux-gnu/4.1.2/../../../libafsauthent.so: undefined reference to `lcstring'
collect2: ld returned 1 exit status
make[5]: *** [../../bin/xrdpwdadmin] Error 1

Any suggestions?  This seems to be an AFS library issue.

This is on a stable ppc chroot using the default flags (except afs is turned on).
Comment 27 Markus Dittrich (RETIRED) gentoo-dev 2008-01-01 12:57:43 UTC
Hi  Joe,

I believe I fixed the afs problems from root's 
point of view (see bug #199591). However, there's
still a problem with afs itself and I've
filed a bug with the maintainer (#202489).
Unfortunately, so far nothing has happened.

Thanks,
Markus
Comment 28 Sébastien Fabbro (RETIRED) gentoo-dev 2008-01-10 00:12:06 UTC
(In reply to comment #26)
> root-5.16.00-r1 still doesn't want to build with AFS on ppc:

I think I just fixed this issue you're having. The one Markus was referring is still present (pic for afs) should not affect ppc keywording on 5.16.00-r1.

Thanks for re-trying. 

Comment 29 Sébastien Fabbro (RETIRED) gentoo-dev 2008-02-28 15:28:59 UTC
*** Bug 211798 has been marked as a duplicate of this bug. ***
Comment 30 Sébastien Fabbro (RETIRED) gentoo-dev 2008-02-28 15:30:21 UTC
openafs has been updated. it should be able to test it.
Comment 31 Sébastien Fabbro (RETIRED) gentoo-dev 2008-05-30 09:21:45 UTC
@ppc ping

Make it to 5.18.00d. root-3 has to go away.

Comment 32 Christian Faulhammer (RETIRED) gentoo-dev 2008-11-06 18:38:57 UTC
And stable it soon, too.
Comment 33 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-27 22:24:10 UTC
@ppc team? *ping* gcc-4.3 needs you!
Comment 34 Brent Baude (RETIRED) gentoo-dev 2009-02-06 21:04:51 UTC
ppc done
Comment 35 Brent Baude (RETIRED) gentoo-dev 2009-02-06 21:42:37 UTC
ok I retract the previous comment. it compiles but repoman pointed out some dependancies, some of which do not.